export declare enum EngineError {
    InvalidEngineData = "Data is not of type EngineData",
    EngineDataIDsUnequal = "EngineData IDs not equal: ",
    ControlNotParented = "Control has no parent Node or Input",
    InputHasConnection = "Input already has a connection, and multiple Connections are not allowed",
    OutputHasConnection = "Output already has a connection, and multiple Connections are not allowed",
    MultipleConnectionsDisallowed = "Multiple connections are not allowed",
    SocketsNotCompatible = "Sockets are not compatible to be connected",
    ItemExistsOnThisNode = "Item already exists on this node",
    ItemExistsOnSomeNode = "Item already exists on some node",
    EventNameUndefined = "No event exists with name: ",
    EventTriggerFailed = "Failed to trigger event with name: ",
    EventAlreadyBound = "Event already bound with name: ",
    ComponentAlreadyExists = "Component already exists with name: ",
    PluginAlreadyExists = "Plugin already exists with name: ",
    StartNodeNotFound = "Failed to find start Node with id: ",
    NodeNotFoundForOutput = "Node not added to Output. Output key: ",
    NodeNotFoundForInput = "Node not added to Input. Input key: "
}
